%define name	QtPixmap
%define version 0.27
%define release 4mdk

Summary:	GTK engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Url:		http://www.kde-look.org/content/show.php?content=7043
Source0:	7043-%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imlib-devel
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel
Conflicts:	Geramik < 0:0.26

%description
This is a hacked/modifed version of the original GTK pixmap engine -
which has been modified to obtain widget colours and fonts from
~/.qt/qtrc. This means that GTK apps should follow the KDE color
scheme.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

chmod 644 AUTHORS ChangeLog COPYING INSTALL NEWS README Usage

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README Usage
%{_libdir}/gtk/themes/engines/libqtpixmap.so
%{_libdir}/gtk-2.0/*/engines/libqtpixmap.so

%changelog
* Fri May 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.27-4mdk
- Rebuild

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.27-3mdk
- rebuild for gtk+-2.4.x (because of theme engine path)

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.27-2mdk
- rebuild to fix my email address

* Sun Nov 30 2003 David Walluck <walluck@linux-mandrake.com> 0:0.27-1mdk
- release
